Author Topic: what are your ways to streamline your cad routines...  (Read 6435 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2606
  • I can't remeber what I already asked! I need help!
what are your ways to streamline your cad routines...
« on: July 28, 2004, 08:42:08 AM »
just curious to hear how peeps streamline there cad routines.

like do you type your commands? buttons? special commands? special lisps?  menus? setups? etc.

any added right clicking, stuff like that...


me... i wanna get more productive. I just would like to try different approaches to cad....

i use...  mostly key stroke commands.... and some osnaps...

but my favs are routines like

LEE  line end end
CEM copy end mid
mmx  move mid int....
and that line labeler lisp! lol thxs to mr CAB
Civil3D 2020

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
what are your ways to streamline your cad routines...
« Reply #1 on: July 28, 2004, 09:09:27 AM »
I use a custom menu and many lisp apps. most cmds are 1-2 keys under my left hand. a few toolbar buttons are used for the lesser used cmds. I am starting to use the tool palettes more and more in favor of toolbars.
TheSwamp.org  (serving the CAD community since 2003)

M-dub

  • Guest
what are your ways to streamline your cad routines...
« Reply #2 on: July 28, 2004, 09:23:02 AM »
I've got all kinds of stuff here and there, but I love this one.  Between.  I added it to my right click menu (POP0) in acad.mnu. (See below in CAPS)

Code: [Select]
***POP0
**SNAP
               [&Object Snap Cursor Menu]
ID_Tracking    [Temporary trac&k point]_tt
ID_From        [&From]_from
ID_MnPointFi   [->Poin&t Filters]
ID_PointFilx     [.X].X
ID_PointFily     [.Y].Y
ID_PointFilz     [.Z].Z
                 [--]
ID_PointFixy     [.XY].XY
ID_PointFixz     [.XZ].XZ
ID_PointFiyz     [<-.YZ].YZ
               [--]
ID_OsnapEndp   [&Endpoint]_endp
ID_OsnapMidp   [&Midpoint]_mid
ID_OSNAPBTWN   [&BETWEEN]_'BTWN
ID_OsnapInte   [&Intersection]_int
ID_OsnapAppa   [&Apparent Intersect]_appint
ID_OsnapExte   [E&xtension]_ext
               [--]
ID_OsnapCent   [&Center]_cen
ID_OsnapQuad   [&Quadrant]_qua
ID_OsnapTang   [Tan&gent]_tan
               [--]
ID_OsnapPerp   [&Perpendicular]_per
ID_OsnapPara   [Para&llel]_par
ID_OsnapNode   [No&de]_nod
ID_OsnapInse   [In&sert]_ins
ID_OsnapNear   [Nea&rest]_nea
ID_OsnapNone   [&None]_non
               [--]
ID_Osnap       [&Osnap Settings...]'_+dsettings 2


It uses this lisp routine which I have in my startup suite.

Code: [Select]
(defun c:btwn (/ PT1 PT2)
  (setq PT1
    (getpoint "\nEnter first point:")
  )
  (setq PT2
    (getpoint "\nEnter second point:")
  )
  (polar PT1
    (angle PT1 PT2)
    (/ (distance PT1 PT2) 2)
  )
); end btwn.lsp


I'll add more with time...

ronjonp

  • Needs a day job
  • Posts: 7531
what are your ways to streamline your cad routines...
« Reply #3 on: July 28, 2004, 09:56:19 AM »
I have the same as M-dub except in macro form:

ID_OsnapMidpt  [&Apparent Midpoint]_non;'cal (cur + cur)/2;

I also have my own pulldown menu and toolbars all tied into my favorite lisp routines. Same as Mark with 2 key commands under left hand as well.

Ron

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Bob Garner

  • Guest
what are your ways to streamline your cad routines...
« Reply #4 on: July 28, 2004, 10:09:15 AM »
Nostromo n52 game controller device.  See our other postings on this.  Those of us that use this thing are really digging it.


Bob G.

PDJ

  • Guest
what are your ways to streamline your cad routines...
« Reply #5 on: July 28, 2004, 12:55:44 PM »
Defiitely diggin on my N52.. That and I have a TON of 2 and 3 letter commands and then another TON of lisp routines..  When you look at my screen, you'll see the standard and layer menu and no more..

M-dub

  • Guest
what are your ways to streamline your cad routines...
« Reply #6 on: July 28, 2004, 12:57:12 PM »
All I can say is...

Pee
Gee
Pee


a.k.a. acad.pgp

hudster

  • Gator
  • Posts: 2848
what are your ways to streamline your cad routines...
« Reply #7 on: July 29, 2004, 04:05:58 AM »
I use what evers quickest.

if its a complicated repetative task, I'll write a script for it, and then assign a temporary button to run the script.

But i've written 3 pull down menus, one for lisps, one for quick commands and one for inserting blocks, setting up drawings etc.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

CADaver

  • Guest
what are your ways to streamline your cad routines...
« Reply #8 on: July 29, 2004, 07:54:06 AM »
Quote from: M-dub
I've got all kinds of stuff here and there, but I love this one.  Between.  I added it to my right click menu (POP0) in acad.mnu. (See below in CAPS)
...
I'll add more with time...


I use CAL for calculating midpoints and built a toolbar:
Code: [Select]

**TB_CAL_OSNAP
**CAL-OSNAP
ID_CAL_Osnap_0 [_Toolbar("CAL-Osnap", _Top, _Show, 2, 0, 1)]
ID__0          [_Button("CAL MIDPOINT", "midpt.bmp", "ICON_24_BLANK")]none (midpt)
ID__0          [_Button("Cal Vector Distance", "cvd.bmp", "ICON_24_BLANK")]none (cvd)
ID__1          [_Button("Cal Vector Percentage", "cvt.bmp", "ICON_24_BLANK")]none (cvt)
ID__0          [_Button("CAL MEE", "osmee.bmp", "ICON_24_BLANK")]none 'cal mee;
ID__1          [_Button("CAL MCC", "osmcc.bmp", "ICON_24_BLANK")]none 'cal (cen+cen)/2;
ID__2          [_Button("CAL MII", "osmii.bmp", "ICON_24_BLANK")]none 'cal (int+int)/2;
ID__4          [_Button("CENTER OF TRIANGLE", "osctrtri.bmp", "ICON_24_BLANK")]none 'cal (end+end+end)/3;
Associated lisp:
Code: [Select]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun midpt ()
  (if (= cal nil)
    (arxload "geomcal")
    (progn
      (setq pt1 (getpoint "\n Select First Point for Midway Calculation")
            pt2 (getpoint "\n Select Second Point for Midway Calculation"))
      (cal "(pt1+pt2) /2")
    )
  )
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq dst 1.0 frc 0.5)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun cvd ()
(if (= cal nil)
(arxload "geomcal")
)
(setq pt1 (getpoint "\n Select First Point Of Vector")
      pt2 (getpoint "\n Select Second Point Of Vector")
)
 (IF (SETQ Ndst (GETdist (STRCAT "Enter Distance along Vector <" (rtos dst) ">:  ")))
(setq dst ndst)
 )
(cal "pld(pt1,pt2,dst)")
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun cvt ()
(if (= cal nil)
(arxload "geomcal")
)
(setq pt1 (getpoint "\n Select First Point Of Vector")
      pt2 (getpoint "\n Select Second Point Of Vector")
)
 (IF (SETQ Nfrc (GETdist (STRCAT "Enter Percentage of Distance along Vector <" (rtos frc 2 6) ">:  ")))
(setq frc nfrc)
 )
(cal "plt(pt1,pt2,frc)")
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



CVT and CVD calculate a distance along a vector defined by two points, CVT is a percentage of the total distance along those points and CVD is a keyed in distance along those two points.  CVT is handy for finding a third point and CVD is great for placing point a given distance along a line.

M-dub

  • Guest
what are your ways to streamline your cad routines...
« Reply #9 on: July 29, 2004, 08:25:13 AM »
Those are pretty cool, CADaver!  I'm going to try those out.  If you haven't yet, I suggest you at least try the BTWN routine.  You'll like it, I'm sure!

MSTG007

  • Gator
  • Posts: 2606
  • I can't remeber what I already asked! I need help!
what are your ways to streamline your cad routines...
« Reply #10 on: July 29, 2004, 08:46:02 AM »
i agree with m dub.... its pretty cool
Civil3D 2020

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
what are your ways to streamline your cad routines...
« Reply #11 on: July 29, 2004, 11:31:14 AM »
Quote from: M-dub

Code: [Select]
(defun c:btwn (/ PT1 PT2)
  (setq PT1
    (getpoint "\nEnter first point:")
  )
  (setq PT2
    (getpoint "\nEnter second point:")
  )
  (polar PT1
    (angle PT1 PT2)
    (/ (distance PT1 PT2) 2)
  )
); end btwn.lsp


that function is included in 2005, finally!!

TheSwamp.org  (serving the CAD community since 2003)

M-dub

  • Guest
what are your ways to streamline your cad routines...
« Reply #12 on: July 29, 2004, 11:39:49 AM »
COOL!
That's basically what I have had for a long time...


ELOQUINTET

  • Guest
what are your ways to streamline your cad routines...
« Reply #13 on: July 29, 2004, 12:54:27 PM »
me too apparent midpoint i called mine beautiful

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
what are your ways to streamline your cad routines...
« Reply #14 on: July 29, 2004, 10:10:59 PM »
Hmmm.......I just make a nice entry in the autoload command in the acad.lsp and use a simple one or two letter shortcut command to load and execute it....
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie